document.addEventListener('DOMContentLoaded', () => {
  // Coupon copy functionality
  const coupon = document.querySelector('.coupon');
  if (coupon) {
    coupon.addEventListener('click', () => {
      navigator.clipboard.writeText('THANKYOU20')
        .then(() => {
          coupon.textContent = 'Copied to clipboard!';
          setTimeout(() => {
            coupon.textContent = 'CODE: THANKYOU20';
          }, 2000);
        })
        .catch(err => console.error('Failed to copy:', err));
    });
  }

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});